- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral Class Reference

`#include <CommandDispatcherEntry.h>`

Inheritance diagram for Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral:

[legend]
List of all members.

## Public Member Functions
| ParameterLiteral (const Mers::Utils::Lang::String &str)
| ParameterLiteral (const char *str)
virtual | ~ParameterLiteral ()
virtual bool | isLiteral () const
virtual const Mers::Utils::Lang::String & | getLiteral () const
virtual unsigned int | getReference () const throw (Mers::Utils::Exceptions::RuntimeException *)
## Protected Attributes
Mers::Utils::Lang::String | m_stringLiteral
| The string literal.

## Detailed Description

This class stores a single string literal.

Definition at line 394 of file CommandDispatcherEntry.h.

## Constructor & Destructor Documentation

Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral::ParameterLiteral | ( | const Mers::Utils::Lang::String & | str | ) | `[inline]`

Constructs this object.

Parameters:

  | str | The string literal used for this string.

Definition at line 402 of file CommandDispatcherEntry.h.

Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral::ParameterLiteral | ( | const char * | str | ) | `[inline]`

Constructs this object.

Parameters:

  | str | The string literal used for this string.

Definition at line 412 of file CommandDispatcherEntry.h.

virtual Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral::~ParameterLiteral | ( |  | ) | `[inline, virtual]`

Destroys this object.

Definition at line 420 of file CommandDispatcherEntry.h.

## Member Function Documentation

virtual bool Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral::isLiteral | ( |  | ) | const`[inline, virtual]`

Returns true if this is a literal. False indicates that this is a reference object.

Implements Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter.

Definition at line 427 of file CommandDispatcherEntry.h.

virtual const Mers::Utils::Lang::String& Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral::getLiteral | ( |  | ) | const`[inline, virtual]`

Returns the parameter's string literal.

Implements Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter.

Definition at line 434 of file CommandDispatcherEntry.h.

References m_stringLiteral.

unsigned int CommandDispatcherEntry::ParameterLiteral::getReference | ( |  | ) | const throw (Mers::Utils::Exceptions::RuntimeException *)`[virtual]`

Returns the index of the referenced parameter for this parameter.

Implements Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter.

Definition at line 322 of file CommandDispatcherEntry.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Command/CommandDispatcherEntry.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Command/CommandDispatcherEntry.cpp